#!/bin/bash


# Config
MATTERMOST_REMOTE="https://mattermost.zeus.gent"



set -euo pipefail

cd "$(dirname "$0")"
if [[ $MATTERMOST_REMOTE == */ ]]; then
	echo "MATTERMOST_REMOTE should not end with a slash (it should only the protocol and the domain; no path)" >&2
	exit 1
fi

server_pid=0
finish() {
	if [[ $server_pid -gt 1 ]]; then kill "$server_pid" || true; server_pid=0; fi
}
trap finish EXIT

python3 -m "http.server" >/dev/null 2>&1 &
server_pid=$!
mitmproxy -s etc/mitm_cors.py -m "reverse:$MATTERMOST_REMOTE"
